www.cendio.com
Bug 5111 - Issues with fltk win32 clipboard patches
: Issues with fltk win32 clipboard patches
Status: CLOSED FIXED
: ThinLinc
Build system
: trunk
: PC Unknown
: P2 Normal
: 4.3.0
Assigned To:
:
:
:
: 5096
  Show dependency treegraph
 
Reported: 2014-04-29 09:51 by
Modified: 2014-10-13 11:11 (History)


Attachments
Path which fix the correct behavior. (628 bytes, patch)
2014-04-29 11:30, Henrik Andersson
Details
Fixes 2 identified problems with clipboard monitoring. (1016 bytes, patch)
2014-05-23 14:31, Henrik Andersson
Details
Complete patch that fixes 3 problems with clipboard monitoring on windows platform. (2.07 KB, patch)
2014-05-28 11:34, Henrik Andersson
Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From cendio 2014-04-29 09:51:55
The handling of WM_CHANGECBCHAIN is invalid, its up to the application to pass
this message further to next window if it wasn't a message for self.

Then WM_CHANGECBCHAIN is handled it should always return 0, which is not the
case, the code path ends up in DefWindowProcw() which give an undefined
behaviour.
------- Comment #1 From cendio 2014-04-29 11:30:50 -------
Created an attachment (id=533) [details]
Path which fix the correct behavior.
------- Comment #2 From cendio 2014-05-23 14:31:36 -------
Created an attachment (id=546) [details]
Fixes 2 identified problems with clipboard monitoring.
------- Comment #3 From cendio 2014-05-28 11:31:32 -------
There is also a third problem; Every window that is created is hooking up the
clipboard monitoring, even if the fltk application didn't registered a
clipboard notification handler. We shouldn't do that due to the flaky clipboard
monitoring API.
------- Comment #4 From cendio 2014-05-28 11:34:38 -------
Created an attachment (id=549) [details]
Complete patch that fixes 3 problems with clipboard monitoring on windows
platform.

Updated patch that fixes the three identified problems.
------- Comment #5 From cendio 2014-05-28 13:30:14 -------
Patch commited to buildsystem in 29023.
------- Comment #6 From cendio 2014-10-07 16:23:38 -------
This patch is incomplete. If you unregister all handlers it will fail to
unregister from Windows as the untarget function always tries to find a new
window to register.
------- Comment #7 From cendio 2014-10-08 14:49:21 -------
Fixed in r29477 (and upstream). Not possible to test unfortunately as vncviewer
doesn't stumble upon this bug.
------- Comment #8 From cendio 2014-10-13 11:11:15 -------
(In reply to comment #7)
> Fixed in r29477 (and upstream). Not possible to test unfortunately as vncviewer
> doesn't stumble upon this bug.

Fair enough, closing then.